<?xml version = "1.0" encoding="UTF-8"?>
<plugin
  id="de.grogra.ext.dxf"
  version="1.6"
  class="de.grogra.ext.dxf.DXFPlugin"
  xmlns="http://grogra.de/registry">

  <library file="DXF.jar" prefixes="{de.grogra.ext.dxf,de.grogra.ext.obj,org.jagatoo}"/>

  <import plugin="de.grogra.imp3d"/>

  <registry>
    <ref name="io">
      <ref name="filetypes">
        <ext name="dxf" extensions="{.dxf}" mimeType="image/vnd.dxf"/>
        <ext name="obj" extensions="{.obj}" mimeType="image/vnd.obj"/>
      </ref>
      <ref name="mimetypes">
      
      	<!-- import filter -->
        <mimetype name="image/vnd.dxf">
          <filter 
          		input="reader" 
          		outputClass="de.grogra.graph.impl.Node" 
          		create="de.grogra.ext.dxf.ImportFilter"/>
        </mimetype>
        <mimetype name="image/vnd.obj">
          <filter 
          		input="vfreader" 
          		outputClass="de.grogra.graph.impl.Node" 
          		create="de.grogra.ext.obj.ImportFilter"/>
        </mimetype>
        
        <!-- export filter -->
        <ref name="application/x-java-jvm-local-objectref">
          <filter name="dxf" inputClass="de.grogra.imp3d.View3D"
            output="image/vnd.dxf; io=fwriter" create="de.grogra.ext.dxf.DXFExport">
            <eval name="de.grogra.imp3d.objects.Box" create="de.grogra.ext.dxf.Box"/>
            <eval name="de.grogra.imp3d.objects.Cone" create="de.grogra.ext.dxf.Cone"/>
            <eval name="de.grogra.imp3d.objects.Cylinder" create="de.grogra.ext.dxf.Cylinder"/>
            <eval name="de.grogra.imp3d.objects.Frustum" create="de.grogra.ext.dxf.Frustum"/>
            <eval name="de.grogra.imp3d.objects.NURBSSurface" create="de.grogra.ext.dxf.Polygonizable"/>
            <eval name="de.grogra.imp3d.objects.Patch" create="de.grogra.ext.dxf.Polygonizable"/>
            <eval name="de.grogra.imp3d.objects.Polygon" create="de.grogra.ext.dxf.Polygonizable"/>
            <eval name="de.grogra.imp3d.objects.Sphere" create="de.grogra.ext.dxf.Sphere"/>
<!--
            <eval name="de.grogra.imp3d.Camera" create="de.grogra.ext.povray.POVCamera"/>
            <eval name="de.grogra.imp3d.objects.Plane" create="de.grogra.ext.povray.Plane"/>
            <eval name="de.grogra.imp3d.objects.Parallelogram" create="de.grogra.ext.povray.Parallelogram"/>
            <eval name="de.grogra.imp3d.shading.RGBAShader" create="de.grogra.ext.povray.POVRGBAShader"/>
            <eval name="de.grogra.imp3d.shading.Lambert" create="de.grogra.ext.povray.POVLambert"/>
            <option name="flatness" type="java.lang.Float" value="1"/>
-->
          </filter>
        </ref>
        
      </ref>
    </ref>
<!--
    <ref name="renderers">
      <ref name="3d">
        <object name="povray" expr="de.grogra.imp.ExternalRenderer">
          <var name="item"/>
          <option name="mimein" type="java.lang.String" value="model/x-pov" editable="false"/>
          <option name="mimeout" type="java.lang.String" value="image/x-portable-pixmap" editable="false"/>
          <option name="program" type="java.lang.String" value="povray"/>
          <option name="command" type="java.lang.String"
            value="$program +I$in +O$out +FP -D +W$width +H$height"/>
          <option name="stdout" type="boolean" value="true"/>
        </object>
      </ref>
    </ref>
-->
  </registry>
</plugin>
